Bug 1613679 - VMWare SCSI PV driver not present in FDI initramdisk
Summary: VMWare SCSI PV driver not present in FDI initramdisk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Image
Version: 6.4
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Released
Assignee: Lukas Zapletal
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1598020 1635749
TreeView+ depends on / blocked
 
Reported: 2018-08-08 07:03 UTC by Lukas Zapletal
Modified: 2019-10-07 17:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:52 UTC
Red Hat Bugzilla 1560003 None CLOSED FDI does not boot on HyperV Gen2 VM due to missing SCSI driver in initram disk 2018-12-18 06:47:48 UTC

Internal Links: 1560003

Description Lukas Zapletal 2018-08-08 07:03:24 UTC
Therefore FDI cannot be booted from HDD and/or HDD cannot be initialized, partitioned and image-deployed manually.

[lzap@box libvirt]$ lsinitrd /home/libvirt/initramdisk/upstream-3.4.4.img | grep vmw_pvscsi
-rw-r--r--   1 root     root        11608 Jan 25  2018 usr/lib/modules/3.10.0-693.17.1.el7.x86_64/kernel/drivers/scsi/vmw_pvscsi.ko.xz

[lzap@box libvirt]$ lsinitrd /home/libvirt/initramdisk/upstream-3.5.0.img | grep vmw_pvscsi
-rw-r--r--   1 root     root        11908 Jul 16 19:24 usr/lib/modules/3.10.0-862.9.1.el7.x86_64/kernel/drivers/scsi/vmw_pvscsi.ko.xz

[lzap@box libvirt]$ lsinitrd /home/libvirt/initramdisk/downstream-3.4.4-1.img | grep vmw_pvscsi
[lzap@box libvirt]$ lsinitrd /home/libvirt/initramdisk/downstream-3.5.0-1.a1.img | grep vmw_pvscsi

Comment 4 Lukas Zapletal 2018-10-03 15:24:12 UTC
This was actually fixed as well in FDI 3.5.

QA: To verify, boot FDI in VMWare VM, ssh to it and verify that disk is present as /dev/sda or /dev/vda.

Comment 6 Jitendra Yejare 2018-12-13 13:45:51 UTC
Verified!

@ Satellite 6.5 snap 7.0

Steps:

1. Copy FDI image from satellite servers /usr/share/foreman-discovery-image/foreman-discovery-image-3.5.3-1.iso to VMWare datastore.(for PXELess Discovery)
2. Boot VM from above ISO.
3. Wait for DHCP to assign IP.
4. Provide satellite server URL.
5. Allow Discovery to happen
6. Take SSH of that machine.
7. Verify disk is present as /dev/sda or /dev/vda


Observation:

1. The disk is present as /dev/sda
2. Discovery is successful.


Logs:

# ll /dev/sda 
brw-rw---- 1 root disk 8, 0 Dec 13 12:47 /dev/sda

# fdisk -l | grep sda
Disk /dev/sda: 21.5 GB, 21474836480 bytes, 41943040 sectors

Comment 8 errata-xmlrpc 2019-05-14 12:37:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.